1.1

1.1

get /v1/privatelink-endpoints

Description

Get PrivateLink Endpoint List.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
PrivateLink Endpoint ID
Example :
any of [string, null]None
queryname
optional
PrivateLink Endpoint Name
Example :
any of [string, null]None
queryvpc_id
optional
VPC Id
Example :
any of [string, null]None
querysubnet_id
optional
Subnet Id
Example :
any of [string, null]None
queryprivatelink_service_id
optional
PrivateLink Service ID
Example :
any of [string, null]None
queryendpoint_ip_address
optional
Endpoint IP Address
Example :
any of [string, null]None
querystate
optional
PrivateLink Endpoint State
Example :
any of [enum (REQUESTING, CREATING, REJECTED, CANCELED, ACTIVE, DISCONNECTED, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "privatelink_endpoints": [
        {
            "account_id": "",
            "approval_type": "MANUAL",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "endpoint_ip_address": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "privatelink_service_id": "",
            "state": "REQUESTING",
            "subnet_id": "",
            "vpc_id": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}